accrue.analysis.defuse

## Class NewAllocAbsVal

- java.lang.Object
- - accrue.analysis.defuse.DefUseAbsVal
  - - accrue.analysis.defuse.NewAllocAbsVal

- All Implemented Interfaces:
    Ordered<DefUseAbsVal>, AbstractValue<DefUseAbsVal>, java.lang.Cloneable

      public class NewAllocAbsVal
      extends DefUseAbsVal

- - ### Field Summary

    - ### Fields inherited from class accrue.analysis.defuse.DefUseAbsVal

      `EMPTY, hashCode, rd`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewAllocAbsVal(java.util.Set<HContext> objects)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objects)`
    `int` | `hashCode()`
    `boolean` | `leq(DefUseAbsVal that)` Is the given object less than or equal to this one
    `java.util.Set<HContext>` | `objects()`
    `java.lang.String` | `toString()`
    `DefUseAbsVal` | `upperBound(DefUseAbsVal that)` Compute the upper bound of `this` and `o`

    - ### Methods inherited from class accrue.analysis.defuse.DefUseAbsVal

      `addReachingDef, isBottom, reachingDefinitions, widen`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NewAllocAbsVal

          public NewAllocAbsVal(java.util.Set<HContext> objects)

  - ### Method Detail

    - #### leq

          public boolean leq(DefUseAbsVal that)

      Description copied from interface: `Ordered`
      Is the given object less than or equal to this one
      Specified by:
        `leq` in interface `Ordered<DefUseAbsVal>`
      Overrides:
        `leq` in class `DefUseAbsVal`
      Parameters:
        `that` - object to compare to `this`
      Returns:
        true if this is less than or equal to `o`

    - #### upperBound

          public DefUseAbsVal upperBound(DefUseAbsVal that)

      Description copied from interface: `Ordered`
      Compute the upper bound of `this` and `o`
      Specified by:
        `upperBound` in interface `Ordered<DefUseAbsVal>`
      Overrides:
        `upperBound` in class `DefUseAbsVal`
      Parameters:
        `that` - object to upper bound with this
      Returns:
        the upper bound of `this` with `o`

    - #### equals

          public boolean equals(java.lang.Object objects)

      Overrides:
        `equals` in class `DefUseAbsVal`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DefUseAbsVal`

    - #### objects

          public java.util.Set<HContext> objects()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `DefUseAbsVal`